Bug 2037585 - golang-github-vultr-govultr-2-2.17.2 is available
Summary: golang-github-vultr-govultr-2-2.17.2 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-vultr-govultr-2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Major Hayden 🤠
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2075820
TreeView+ depends on / blocked
 
Reported: 2022-01-06 02:23 UTC by Upstream Release Monitoring
Modified: 2022-07-01 01:16 UTC (History)
2 users (show)

Fixed In Version: golang-github-vultr-govultr-2-2.17.2-1.fc36 golang-github-vultr-govultr-2-2.17.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-01 01:06:10 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-01-06 02:23:04 UTC
Latest upstream release: 2.13.0
Current version/release in rawhide: 2.12.0-2.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 1 Upstream Release Monitoring 2022-01-22 16:53:59 UTC
Latest upstream release: 2.14.0
Current version/release in rawhide: 2.12.0-2.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 2 Upstream Release Monitoring 2022-02-03 14:12:07 UTC
Latest upstream release: 2.14.1
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 3 Upstream Release Monitoring 2022-03-24 02:59:46 UTC
Latest upstream release: 2.14.2
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 4 Upstream Release Monitoring 2022-04-13 17:39:44 UTC
Latest upstream release: 2.15.1
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 5 Major Hayden 🤠 2022-04-18 12:12:55 UTC
Made a PR to package 2.15.1 so that I can update vultr-cli in BZ 2075820:

  https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/3

I'm happy to help with maintaining govultr-2 if needed.

Comment 6 Upstream Release Monitoring 2022-05-05 12:31:04 UTC
Latest upstream release: 2.16.0
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 7 Major Hayden 🤠 2022-05-05 12:55:11 UTC
Made another PR for 2.16.0. This builds fine in rawhide and works well with the latest vultr-cli release.

  https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/4

I'll close the other PR.

Comment 8 Upstream Release Monitoring 2022-05-18 09:07:54 UTC
Latest upstream release: 2.17.0
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/

Comment 9 Major Hayden 🤠 2022-05-18 15:19:48 UTC
So govultr 2.16.0 is still fine with vultr-cli 2.14.0 (latest). However, govultr 2.17.0 breaks the compile of vultr-cli 2.14.0.

The PR from earlier for 2.16.0 still works. https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/4

Comment 10 Upstream Release Monitoring 2022-06-03 01:02:34 UTC
Releases retrieved: 2.17.1
Upstream release that is considered latest: 2.17.1
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2

Comment 11 Major Hayden 🤠 2022-06-03 12:01:33 UTC
2.17.1 changes are super minor: https://github.com/vultr/govultr/compare/v2.17.0...v2.17.1

vultr-cli will still build with govultr < 2.17.0

Comment 12 Upstream Release Monitoring 2022-06-15 18:34:20 UTC
Releases retrieved: 2.17.2
Upstream release that is considered latest: 2.17.2
Current version/release in rawhide: 2.12.0-3.fc36
URL: https://github.com/vultr/govultr

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/205451/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2

Comment 13 Major Hayden 🤠 2022-06-22 12:56:44 UTC
PR made for an update to 2.17.2. This should unblock BZ 2075820.

  https://src.fedoraproject.org/rpms/golang-github-vultr-govultr-2/pull-request/5

Comment 14 Major Hayden 🤠 2022-06-22 13:54:08 UTC
I'll build this one together with vultr-cli in a side tag to get it updated.

Comment 15 Fedora Update System 2022-06-22 14:37:37 UTC
FEDORA-2022-fc3d9f70fd has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-fc3d9f70fd

Comment 16 Fedora Update System 2022-06-22 14:40:25 UTC
FEDORA-2022-fc3d9f70fd has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-06-22 15:04:59 UTC
FEDORA-2022-e674d52438 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e674d52438

Comment 18 Fedora Update System 2022-06-22 15:46:57 UTC
FEDORA-2022-d55f2b16b1 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d55f2b16b1

Comment 19 Fedora Update System 2022-06-23 01:19:28 UTC
FEDORA-2022-e674d52438 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-e674d52438`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e674d52438

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2022-06-23 03:16:51 UTC
FEDORA-2022-d55f2b16b1 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-d55f2b16b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d55f2b16b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2022-07-01 01:06:10 UTC
FEDORA-2022-e674d52438 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2022-07-01 01:16:31 UTC
FEDORA-2022-d55f2b16b1 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.